.\"	$NetBSD: xge.4,v 1.2 2005/09/10 22:48:09 wiz Exp $
.\"
.\" Copyright (c) 2005, SUNET, Swedish University Computer Network.
.\" All rights reserved.
.\"
.\" Written by Anders Magnusson for SUNET, Swedish University Computer Network.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed for the NetBSD Project by
.\"      SUNET, Swedish University Computer Network.
.\" 4. The name of SUNET may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY SUNET ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL SUNET
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 9, 2005
.Dt XGE 4
.Os
.Sh NAME
.Nm xge
.Nd Neterion Xframe-I Ten Gigabit Ethernet driver
.Sh SYNOPSIS
.Cd "xge* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
device driver supports the Neterion Xframe-I LR Ethernet adapter,
which uses a single mode fiber (1310nm) interface.
.Pp
The Xframe supports IPv4/TCP/UDP checksumming in hardware, as well
as TCP Segmentation Offloading (TSO) and hardware VLAN handling.
The driver currently does not support the hardware VLAN feature.
See
.Xr ifconfig 8
for information on how to enable TSO and hardware checksum calculation.
.Sh DIAGNOSTICS
.Bl -diag
.It xge%s: failed configuring endian, %llx != %llx!
The Xframe could not be turned into the correct endian operation.
This is most likely a hardware error.
.Pp
.It xge%d: failed allocating txmem.
.It xge%d: failed allocating rxmem.
The computer has run out of kernel memory.
.Pp
.It xge%d: adapter not quiescent, aborting
.It xge%d: ADAPTER_STATUS missing bits %s
The Xframe could not be turned into a usable state.
Most likely an Xframe hardware error.
.Pp
.It xge%d: cannot create TX DMA maps
.It xge%d: cannot create RX DMA maps
This error is either a kernel error or that the kernel has run out
of available memory.
.Pp
.It xge%d: bad compiler struct alignment, %d != %d
The compiler did not align the structure correctly.
This is a compiler problem.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 3.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Anders Magnusson Aq ragge@ludd.luth.se .
.Sh BUGS
There should be an XGMII framework for the driver to use.
